# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "pbt-macro2"
version = "0.5.2"
authors = ["Will Sturgeon <willstrgn@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "High-throughput property-based testing with `derive`, swarm-testing, precise sizing, and full graph-theoretic type analysis over mutually inductive and uninstantiable types."
readme = "README.md"
keywords = [
    "property",
    "proptest",
    "arbitrary",
    "fuzz",
    "test",
]
categories = [
    "algorithms",
    "data-structures",
    "development-tools::testing",
    "mathematics",
    "security",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/wrsturgeon/pbt"

[lib]
name = "pbt_macro2"
path = "src/lib.rs"

[dependencies.heck]
version = "~0.5"

[dependencies.proc-macro2]
version = "~1.0"

[dependencies.quote]
version = "~1.0"

[dependencies.syn]
version = "~2.0"
features = [
    "extra-traits",
    "fold",
    "full",
]

[dev-dependencies.pretty_assertions]
version = "~1.4"

[dev-dependencies.prettyplease]
version = "~0.2"

[lints.clippy]
blanket_clippy_restriction_lints = "allow"
field_scoped_visibility_modifiers = "allow"
implicit_return = "allow"
inline_modules = "allow"
min_ident_chars = "allow"
missing_trait_methods = "allow"
mod_module_files = "allow"
needless_borrowed_reference = "allow"
pub_use = "allow"
pub_with_shorthand = "allow"
question_mark_used = "allow"
ref_patterns = "allow"
semicolon_outside_block = "allow"
separated_literal_suffix = "allow"
single_call_fn = "allow"
single_char_lifetime_names = "allow"
too_many_lines = "allow"
type_complexity = "allow"
wildcard-enum-match-arm = "allow"

[lints.clippy.all]
level = "deny"
priority = -1

[lints.clippy.cargo]
level = "deny"
priority = -1

[lints.clippy.complexity]
level = "deny"
priority = -1

[lints.clippy.correctness]
level = "deny"
priority = -1

[lints.clippy.pedantic]
level = "deny"
priority = -1

[lints.clippy.perf]
level = "deny"
priority = -1

[lints.clippy.restriction]
level = "deny"
priority = -1

[lints.clippy.style]
level = "deny"
priority = -1

[lints.clippy.suspicious]
level = "deny"
priority = -1

[lints.rust]
missing_docs = "deny"
warnings = "deny"

[lints.rustdoc]
broken_intra_doc_links = "deny"
invalid_codeblock_attributes = "deny"
invalid_html_tags = "deny"
missing_crate_level_docs = "deny"
private_doc_tests = "deny"
private_intra_doc_links = "deny"
